import { type RouteRecordRaw, type RouteRecordNormalized, type RouteLocationRaw } from "vue-router";
export declare function useVueRouter(routes: RouteRecordRaw[]): {
    router: import("vue-router").Router;
    push: (location: RouteLocationRaw) => Promise<void>;
    to: (this: any, path: string) => void;
    addRoute: (name: string, route: RouteRecordRaw) => (() => void);
    removeRoute: (name: string) => void;
    hasRoute: (name: string) => boolean;
    getRoutes: () => RouteRecordNormalized[];
    getCurrentRoute: () => {
        params: import("vue-router").RouteParamsGeneric;
        query: import("vue-router").LocationQuery;
    };
};
