import { DOMEventBus } from "@zyzgroup/core-web";
import { ContainerType, EffectTriggerTiming } from "../types";
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToOption<{
    type?: ContainerType;
    effectTriggerTiming?: EffectTriggerTiming;
    supportCopyText?: boolean;
    styleSheets?: Record<string, string>;
}>, {
    type: string;
    effectTriggerTiming: string;
    supportCopyText: boolean;
}>>, {
    getElement: () => any;
    getApp: () => Promise<DOMEventBus>;
    getSize: () => Promise<DOMRect>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    ready: (app: DOMEventBus) => void;
    resize: (width: number, height: number, rect: DOMRect) => void;
    start: () => void;
    end: () => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToOption<{
    type?: ContainerType;
    effectTriggerTiming?: EffectTriggerTiming;
    supportCopyText?: boolean;
    styleSheets?: Record<string, string>;
}>, {
    type: string;
    effectTriggerTiming: string;
    supportCopyText: boolean;
}>>> & Readonly<{
    onResize?: (width: number, height: number, rect: DOMRect) => any;
    onEnd?: () => any;
    onStart?: () => any;
    onReady?: (app: DOMEventBus) => any;
}>, {
    type: ContainerType;
    supportCopyText: boolean;
    effectTriggerTiming: EffectTriggerTiming;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
